Recent

Author Topic: Installation XCode is not recognized by installer  (Read 440 times)

Asqan

  • Newbie
  • Posts: 1
Installation XCode is not recognized by installer
« on: November 12, 2019, 12:49:05 pm »
I'm trying to install the Free Pascal Compiler for Intel 3.0.5

Althouth XCode and Xcode its command line tools are already installed (which I already use and which was already recognized by some other installations), it is not recognized by the installer of Free Pascal:

https://i.stack.imgur.com/hKCqP.png

Is there any workaround to avoid this error? Is there something like PATH we have to set like in Windows?

https://apple.stackexchange.com/questions/374550/installation-xcode-is-not-recognized-by-installer


ps: 3.0.4 of the Free Pascal Compiler for Intel 3.0.5 gives the following error at installation:
Quote
This package is incompatible with this version of macOS.
The package is trying to install content to the system volume. Contact the software manufacturer for assistance.
I'm curious why it is compatible. For 64 bit mac OS of 10.15.X, it should be normally compatible according to the installation documentation of lazarus:
https://wiki.freepascal.org/Installing_Lazarus_on_MacOS_X
« Last Edit: November 12, 2019, 01:17:02 pm by Asqan »

trev

  • Sr. Member
  • ****
  • Posts: 252
  • Former Delphi 7 and Delphi 10.2 User
Re: Installation XCode is not recognized by installer
« Reply #1 on: November 30, 2019, 03:44:32 am »
I'm trying to install the Free Pascal Compiler for Intel 3.0.5

You seem to be using Catalina. I do not believe there is an FPC installation for Catalina as yet. The latest FPC release is 3.0.4. The next FPC release, version 3.2, is planned for later this year.

Quote
ps: 3.0.4 of the Free Pascal Compiler for Intel 3.0.5 gives the following error at installation:
Quote
This package is incompatible with this version of macOS.
The package is trying to install content to the system volume. Contact the software manufacturer for assistance.
I'm curious why it is compatible. For 64 bit mac OS of 10.15.X, it should be normally compatible according to the installation documentation of lazarus:
https://wiki.freepascal.org/Installing_Lazarus_on_MacOS_X

32 bit installer app (Catalina does not support any 32 bit apps)? Trying to write to Catalina's read-only system volume? Take your pick, or maybe all.
o Lazarus v2.1.0 r61775, FPC v3.3.1 r42640, macOS 10.14.6 (with sup update), Xcode 10.3
o Lazarus v2.1.0 r61574, FPC v3.3.1 r42318, FreeBSD 12.0 (Parallels VM)
o Lazarus v2.1.0 r61574, FPC v3.0.4, Ubuntu 18.04 (Parallels VM)

trev

  • Sr. Member
  • ****
  • Posts: 252
  • Former Delphi 7 and Delphi 10.2 User
Re: Installation XCode is not recognized by installer
« Reply #2 on: November 30, 2019, 03:54:19 am »
I've not tried them, but some users find the unofficial packages provided by Mattias Gaertner at
https://sourceforge.net/projects/lazarus/files/Lazarus%20macOS%20x86-64/ work for them.

(Latest update was < 12 hours ago)
o Lazarus v2.1.0 r61775, FPC v3.3.1 r42640, macOS 10.14.6 (with sup update), Xcode 10.3
o Lazarus v2.1.0 r61574, FPC v3.3.1 r42318, FreeBSD 12.0 (Parallels VM)
o Lazarus v2.1.0 r61574, FPC v3.0.4, Ubuntu 18.04 (Parallels VM)

JensKnaack

  • Newbie
  • Posts: 4
Re: Installation XCode is not recognized by installer
« Reply #3 on: December 04, 2019, 11:06:10 am »
some users find the unofficial packages provided by Mattias Gaertner at
https://sourceforge.net/projects/lazarus/files/Lazarus%20macOS%20x86-64/ work for them.

For me -> resource compiler "fpcres" not found if I try to compile the IDE
« Last Edit: December 04, 2019, 11:14:24 am by JensKnaack »

trev

  • Sr. Member
  • ****
  • Posts: 252
  • Former Delphi 7 and Delphi 10.2 User
Re: Installation XCode is not recognized by installer
« Reply #4 on: December 04, 2019, 01:47:23 pm »
For me -> resource compiler "fpcres" not found if I try to compile the IDE

Have you setup Lazarus to use 64 bit?

1. Tools>Options>Files Set the compiler to ppcX64
2. Project>Options>Config and Target> set to x86-x64
3. Project>Options>Config and Target> set WidgetSet to Cocoa
o Lazarus v2.1.0 r61775, FPC v3.3.1 r42640, macOS 10.14.6 (with sup update), Xcode 10.3
o Lazarus v2.1.0 r61574, FPC v3.3.1 r42318, FreeBSD 12.0 (Parallels VM)
o Lazarus v2.1.0 r61574, FPC v3.0.4, Ubuntu 18.04 (Parallels VM)

JensKnaack

  • Newbie
  • Posts: 4
Re: Installation XCode is not recognized by installer
« Reply #5 on: December 04, 2019, 04:37:43 pm »
Thank you very much!!!
Now everything is fine.
 :D

trev

  • Sr. Member
  • ****
  • Posts: 252
  • Former Delphi 7 and Delphi 10.2 User
Re: Installation XCode is not recognized by installer
« Reply #6 on: December 05, 2019, 08:08:48 am »
You're welcome! And thanks for returning to let us know that this solved your issue.
o Lazarus v2.1.0 r61775, FPC v3.3.1 r42640, macOS 10.14.6 (with sup update), Xcode 10.3
o Lazarus v2.1.0 r61574, FPC v3.3.1 r42318, FreeBSD 12.0 (Parallels VM)
o Lazarus v2.1.0 r61574, FPC v3.0.4, Ubuntu 18.04 (Parallels VM)